VkImageSubresourceRange Struct Reference

`#include <vulkan.h>`

## Data Fields

VkImageAspectFlags | aspectMask
uint32_t | baseMipLevel
uint32_t | levelCount
uint32_t | baseArrayLayer
uint32_t | layerCount

## Detailed Description

Definition at line 1884 of file vulkan.h.

## Field Documentation

## aspectMask

VkImageAspectFlags VkImageSubresourceRange::aspectMask

Definition at line 1885 of file vulkan.h.

Referenced by recordPipelineImageBarrier(), and rerecordCommandBuffer().

## baseArrayLayer

uint32_t VkImageSubresourceRange::baseArrayLayer

Definition at line 1888 of file vulkan.h.

Referenced by recordPipelineImageBarrier(), and rerecordCommandBuffer().

## baseMipLevel

uint32_t VkImageSubresourceRange::baseMipLevel

Definition at line 1886 of file vulkan.h.

Referenced by recordPipelineImageBarrier(), and rerecordCommandBuffer().

## layerCount

uint32_t VkImageSubresourceRange::layerCount

Definition at line 1889 of file vulkan.h.

Referenced by recordPipelineImageBarrier(), and rerecordCommandBuffer().

## levelCount

uint32_t VkImageSubresourceRange::levelCount

Definition at line 1887 of file vulkan.h.

Referenced by recordPipelineImageBarrier(), and rerecordCommandBuffer().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h